Subject: [PATCH v3 0/9] gnu: Update Racket to 8.5 and Chez Scheme to 9.5.8.

From: Philip McGrath <[email-masked]>
Date: Mon, 9 May 2022 02:02:41 -0400

Hi,

On 5/8/22 23:54, Liliana Marie Prikler wrote:
> Hi Philip,
> 
> Correct me if I'm wrong, but I think you didn't quite get the point I
> raised w.r.t. install-license-files.  Instead of
> 
> Am Sonntag, dem 08.05.2022 um 16:07 -0400 schrieb Philip McGrath:
>> +           (add-after 'chdir 'symlink-license-src
>> +             ;; Work around limitation of install-license-files by
>> symlinking
>> +             ;; srcdir where it expects.  (It doesn't handle this
>> variant of
>> +             ;; #:out-of-source? and a subdirectory for srcdir.)
>> Just running
>> +             ;; `make install` only puts them in Racket's 'share-
>> dir'.
>> +             (lambda* (#:key out-of-source? #:allow-other-keys)
>> +               (when out-of-source?
>> +                 (with-directory-excursion ".."
>> +                   (symlink "src"
>> +                            (package-name->name+version
>> +                             (strip-store-file-name
>> #$output))))))))))
> you could
> 
> (replace 'install-license-files
>    (lambda args
>      (with-directory-excursion ".." ; perhaps "../src" if needed
>        (apply (assoc-ref %standard-phases 'install-license-files)
>               args))))
> 
> If that doesn't work, you could fake an "in-source" build by appending
> "#:out-of-source? #f" to args.
> 

Yes, a variant of that works. I can't say I see the benefit, personally,
but here's a v3 if you prefer it.

 -Philip

Philip McGrath (9):
  gnu: racket: Update to 8.5.
  gnu: racket: Fix out-of-source build.
  gnu: chez-scheme: Update to 9.5.8.
  gnu: chez-scheme: Refactor documentation phases.
  gnu: chez-scheme: Refactor configure phase and fix '--threads'.
  gnu: stex: Get machine type dynamically.
  gnu: chez-upstream-features-for-system: Improve implementation.
  gnu: chez-scheme-for-racket: Fix supported systems.
  gnu: chez-scheme-for-system: Adjust for bytecode backend.

 gnu/local.mk                                  |   2 -
 gnu/packages/chez.scm                         | 426 +++++++++-------
 .../racket-enable-scheme-backport.patch       | 465 ------------------
 ...acket-gui-tethered-launcher-backport.patch |  26 -
 gnu/packages/racket.scm                       | 107 ++--
 5 files changed, 302 insertions(+), 724 deletions(-)
 delete mode 100644 gnu/packages/patches/racket-enable-scheme-backport.patch
 delete mode 100644 gnu/packages/patches/racket-gui-tethered-launcher-backport.patch

base-commit: 668313e07fa2518fe02704b047237c173f63c6d4
-- 
2.32.0